## git-lfs 2.2.1

=== debian/changelog ===
git-lfs (2.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #792075)

 -- Stephen Gelman <ssgelm@gmail.com>  Mon, 03 Jul 2017 04:03:41 +0000
