## git-lfs 2.3.4

=== debian/changelog ===
git-lfs (2.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 26 Nov 2017 07:58:08 +0000

git-lfs (2.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Tue, 10 Oct 2017 01:45:05 +0000

git-lfs (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.1.1

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 05 Oct 2017 04:15:23 +0000

git-lfs (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.1.0

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 28 Sep 2017 03:28:09 +0000

git-lfs (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Fri, 15 Sep 2017 01:10:14 +0000
