=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
-               golang-github-rubyist-tracerx-dev,
+               golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
                golang-github-bgentry-go-netrc-dev,
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git
