## git-lfs 2.4.0

=== debian/changelog ===
git-lfs (2.4.0-3) unstable; urgency=medium

  * Change build dependency from golang-go to golang-any for wider port
    support

 -- Stephen Gelman <ssgelm@gmail.com>  Mon, 05 Mar 2018 01:21:07 +0000

git-lfs (2.4.0-2) unstable; urgency=medium

  * Set minimum required go version to 1.7 as upstream requires it for
    net/http/httptrace

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 04 Mar 2018 21:49:48 +0000

git-lfs (2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 04 Mar 2018 03:44:31 +0000
