=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Gelman <ssgelm@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                git (>= 1.8.0),
-               golang-go (>= 1.3.0),
+               golang-any (>= 2:1.7.0),
                ruby-ronn,
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
@@ -16,11 +16,13 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-Standards-Version: 4.1.1
+               golang-github-git-lfs-wildmatch-dev,
+Standards-Version: 4.1.3
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
+Testsuite: autopkgtest-pkg-go
 
 Package: git-lfs
 Architecture: any
