## git-lfs 2.5.0

=== debian/changelog ===
git-lfs (2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Fri, 27 Jul 2018 05:29:28 +0000

git-lfs (2.4.2-2) unstable; urgency=medium

  * Change dependency from ruby-ronn to ronn to match ronn package changes
    (Closes: #903058)
  * Fix built-in help commands to work properly (Closes: #901963)

 -- Stephen Gelman <ssgelm@gmail.com>  Fri, 06 Jul 2018 06:43:15 +0000

git-lfs (2.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Tue, 29 May 2018 05:30:45 +0000

git-lfs (2.4.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Stephen Gelman ]
  * New upstream release
  * Update golang-any build-dependency to require go 1.8.
  * Bump standards version to 4.1.4

 -- Stephen Gelman <ssgelm@gmail.com>  Tue, 22 May 2018 21:17:26 +0000
