## git-lfs 2.5.2

=== debian/changelog ===
git-lfs (2.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Mon, 17 Sep 2018 20:51:39 +0000

git-lfs (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 02 Aug 2018 20:27:53 +0000
