=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 11),
                dh-golang,
                git (>= 1.8.0),
-               golang-any (>= 2:1.7.0),
-               ruby-ronn,
+               golang-any (>= 2:1.8~),
+               ronn,
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
@@ -16,11 +16,13 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-               golang-github-git-lfs-wildmatch-dev,
-Standards-Version: 4.1.3
+               golang-github-git-lfs-wildmatch-dev (>= 0.0~git20180706.b31c344),
+               golang-github-git-lfs-go-netrc-dev,
+               golang-github-git-lfs-gitobj-dev,
+Standards-Version: 4.1.5
 Homepage: https://git-lfs.github.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/git-lfs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/git-lfs.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
+Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
 Testsuite: autopkgtest-pkg-go
