=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

BUILD_DIR := obj-$(DEB_BUILD_GNU_TYPE)
export DH_GOLANG_EXCLUDES := test vendor
export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	rm -rf man
	dh_clean

override_dh_auto_build:
	cd ${BUILD_DIR}/src/github.com/git-lfs/git-lfs && go generate ./commands
	dh_auto_build
	rm $(BUILD_DIR)/bin/script
	rm $(BUILD_DIR)/bin/man
	rm $(BUILD_DIR)/bin/cmd
	mkdir man
	rm -rf man/*.ronn
	rm -rf man/*.txt
	cp docs/man/*.ronn man
	cp docs/man/*.txt man
	ronn man/*.ronn
	rm -rf man/*.ronn
	rm -rf man/*.txt

override_dh_auto_install:
	dh_auto_install -- --no-source
