## git-lfs 2.6.0

=== Makefile ===
--- 
+++ 
@@ -40,9 +40,6 @@
 # GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
 GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)
 
-# GLIDE is the name of the 'glide' binary used to manage vendored dependencies.
-GLIDE ?= glide
-
 # RONN is the name of the 'ronn' program used to generate man pages.
 RONN ?= ronn
 # RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
@@ -63,6 +60,9 @@
 # program.
 GOIMPORTS_EXTRA_OPTS ?= -w -l
 
+TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
+TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')
+
 # SOURCES is a listing of all .go files in this and child directories, excluding
 # that in vendor.
 SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)
@@ -80,6 +80,7 @@
 PKGS =
 PKGS += commands
 PKGS += config
+PKGS += creds
 PKGS += errors
 PKGS += filepathfilter
 PKGS += fs
@@ -89,6 +90,7 @@
 PKGS += git
 PKGS += lfs
 PKGS += lfsapi
+PKGS += lfshttp
 PKGS += locking
 PKGS += subprocess
 PKGS += tasklog
@@ -135,10 +137,27 @@
 
 # BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
 # built for.
-BUILD_TARGETS = bin/git-lfs-darwin-amd64 bin/git-lfs-darwin-386 \
-	bin/git-lfs-linux-amd64 bin/git-lfs-linux-386 \
-	bin/git-lfs-freebsd-amd64 bin/git-lfs-freebsd-386 \
-	bin/git-lfs-windows-amd64.exe bin/git-lfs-windows-386.exe
+BUILD_TARGETS = \
+	bin/git-lfs-darwin-amd64 \
+	bin/git-lfs-darwin-386 \
+	bin/git-lfs-linux-arm64 \
+	bin/git-lfs-linux-amd64 \
+	bin/git-lfs-linux-386 \
+	bin/git-lfs-freebsd-amd64 \
+	bin/git-lfs-freebsd-386 \
+	bin/git-lfs-windows-amd64.exe \
+	bin/git-lfs-windows-386.exe
+
+# mangen is a shorthand for ensuring that commands/mancontent_gen.go is kept
+# up-to-date with the contents of docs/man/*.ronn.
+.PHONY : mangen
+mangen : commands/mancontent_gen.go
+
+# commands/mancontent_gen.go is generated by running 'go generate' on package
+# 'commands' of Git LFS. It depends upon the contents of the 'docs' directory
+# and converts those manpages into code.
+commands/mancontent_gen.go : $(wildcard docs/man/*.ronn)
+	$(GO) generate github.com/git-lfs/git-lfs/commands
 
 # Targets 'all' and 'build' build binaries of Git LFS for the above release
 # matrix.
@@ -153,21 +172,23 @@
 #
 # On Windows, they also depend on the resource.syso target, which installs and
 # embeds the versioninfo into the binary.
-bin/git-lfs-darwin-amd64 : $(SOURCES)
+bin/git-lfs-darwin-amd64 : $(SOURCES) mangen
 	$(call BUILD,darwin,amd64,-darwin-amd64)
-bin/git-lfs-darwin-386 : $(SOURCES)
+bin/git-lfs-darwin-386 : $(SOURCES) mangen
 	$(call BUILD,darwin,386,-darwin-386)
-bin/git-lfs-linux-amd64 : $(SOURCES)
+bin/git-lfs-linux-arm64 : $(SOURCES) mangen
+	$(call BUILD,linux,arm64,-linux-arm64)
+bin/git-lfs-linux-amd64 : $(SOURCES) mangen
 	$(call BUILD,linux,amd64,-linux-amd64)
-bin/git-lfs-linux-386 : $(SOURCES)
+bin/git-lfs-linux-386 : $(SOURCES) mangen
 	$(call BUILD,linux,386,-linux-386)
-bin/git-lfs-freebsd-amd64 : $(SOURCES)
+bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen
 	$(call BUILD,freebsd,amd64,-freebsd-amd64)
-bin/git-lfs-freebsd-386 : $(SOURCES)
+bin/git-lfs-freebsd-386 : $(SOURCES) mangen
 	$(call BUILD,freebsd,386,-freebsd-386)
-bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES)
+bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen
 	$(call BUILD,windows,amd64,-windows-amd64.exe)
-bin/git-lfs-windows-386.exe : resource.syso $(SOURCES)
+bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen
 	$(call BUILD,windows,386,-windows-386.exe)
 
 # .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
@@ -176,19 +197,24 @@
 
 # bin/git-lfs targets the default output of Git LFS on non-Windows operating
 # systems, and respects the build knobs as above.
-bin/git-lfs : $(SOURCES) fmt
+bin/git-lfs : $(SOURCES) fmt mangen
 	$(call BUILD,$(GOOS),$(GOARCH),)
 
 # bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
 # respects the build knobs as above.
-bin/git-lfs.exe : $(SOURCES) resource.syso
+bin/git-lfs.exe : $(SOURCES) resource.syso mangen
 	$(call BUILD,$(GOOS),$(GOARCH),.exe)
 
 # resource.syso installs the 'goversioninfo' command and uses it in order to
 # generate a binary that has information included necessary to create the
 # Windows installer.
-resource.syso:
-	@$(GO) get github.com/josephspurrier/goversioninfo/cmd/goversioninfo
+#
+# Generating a new resource.syso is a pure function of the contents in the
+# prerequisites listed below.
+resource.syso : \
+versioninfo.json script/windows-installer/git-lfs-logo.bmp \
+script/windows-installer/git-lfs-logo.ico \
+script/windows-installer/git-lfs-wizard-image.bmp
 	$(GO) generate
 
 # RELEASE_TARGETS is the set of all release artifacts that we generate over a
@@ -206,14 +232,17 @@
 # To build a specific release with a custom VERSION suffix, run the following:
 #
 # 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
-RELEASE_TARGETS = bin/releases/git-lfs-darwin-amd64-$(VERSION).tar.gz \
+RELEASE_TARGETS = \
+	bin/releases/git-lfs-darwin-amd64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-darwin-386-$(VERSION).tar.gz \
+	bin/releases/git-lfs-linux-arm64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-linux-amd64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-linux-386-$(VERSION).tar.gz \
 	bin/releases/git-lfs-freebsd-amd64-$(VERSION).tar.gz \
 	bin/releases/git-lfs-freebsd-386-$(VERSION).tar.gz \
 	bin/releases/git-lfs-windows-amd64-$(VERSION).zip \
-	bin/releases/git-lfs-windows-386-$(VERSION).zip
+	bin/releases/git-lfs-windows-386-$(VERSION).zip \
+	bin/releases/git-lfs-$(VERSION).tar.gz
 
 # RELEASE_INCLUDES are the names of additional files that are added to each
 # release artifact.
@@ -236,7 +265,7 @@
 bin/releases/git-lfs-%-$(VERSION).tar.gz : \
 $(RELEASE_INCLUDES) bin/git-lfs-% script/install.sh
 	@mkdir -p bin/releases
-	tar -s '!bin/git-lfs-.*!git-lfs!' -s '!script/!!' -czf $@ $^
+	tar $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!bin/git-lfs-.*!git-lfs!' $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!script/!!' -czf $@ $^
 
 # bin/releases/git-lfs-%-$(VERSION).zip generates a ZIP compression of all of
 # the Windows release artifacts.
@@ -246,6 +275,13 @@
 bin/releases/git-lfs-%-$(VERSION).zip : $(RELEASE_INCLUDES) bin/git-lfs-%.exe
 	@mkdir -p bin/releases
 	zip -j -l $@ $^
+
+# bin/releases/git-lfs-$(VERSION).tar.gz generates a tarball of the source code.
+#
+# This is useful for third parties who wish to have a bit-for-bit identical
+# source archive to download and verify cryptographically.
+bin/releases/git-lfs-$(VERSION).tar.gz :
+	git archive -o $@ --prefix=git-lfs-$(patsubst v%,%,$(VERSION))/ --format tar.gz $(VERSION)
 
 # TEST_TARGETS is a list of all phony test targets. Each one of them corresponds
 # to a specific kind or subset of tests to run.
@@ -274,57 +310,16 @@
 #
 # And so on.
 test : fmt
-	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS))
+	(unset GIT_DIR; unset GIT_WORK_TREE; \
+	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS)))
 
 # integration is a shorthand for running 'make' in the 't' directory.
 .PHONY : integration
 integration : bin/git-lfs$(X)
 	make -C t test
 
-# glide.lock is the permanent record of the glide.yaml file, and it is built by
-# running 'glide update'.
-glide.lock : glide.yaml
-	$(GLIDE) update
-
-# vendor updates the glide.lock-file, and installs vendored dependencies into
-# the vendor/ sub-tree, removing sub-packages (listed below) that are unused by
-# Git LFS.
-.PHONY : vendor
-vendor : glide.lock
-	$(GLIDE) install
-	$(RM) -r vendor/github.com/ThomsonReutersEikon/go-ntlm/utils
-	$(RM) -r vendor/github.com/davecgh/go-spew
-	$(RM) -r vendor/github.com/pmezard/go-difflib
-
-# fmt runs goimports over all files in Git LFS (as defined by $(SOURCES) above),
-# and replaces their contents with a formatted one in-place.
-#
-# If $(GOIMPORTS) does not exist, or isn't otherwise executable, this recipe
-# still performs the linting sequence, but gracefully skips over running a
-# non-existent command.
-.PHONY : fmt
-ifeq ($(shell test -x "`which $(GOIMPORTS)`"; echo $$?),0)
-fmt : $(SOURCES) | lint
-	$(GOIMPORTS) $(GOIMPORTS_EXTRA_OPTS) $?;
-else
-fmt : $(SOURCES) | lint
-	@echo "git-lfs: skipping fmt, no goimports found at \`$(GOIMPORTS)\` ..."
-endif
-
-# lint ensures that there are all dependencies outside of the standard library
-# are vendored in via vendor (see: above).
-.PHONY : lint
-lint : $(SOURCES)
-	$(GO) list -f '{{ join .Deps "\n" }}' . \
-	| $(XARGS) $(GO) list -f '{{ if not .Standard }}{{ .ImportPath }}{{ end }}' \
-	| $(GREP) -v "github.com/git-lfs/git-lfs" || exit 0
-
-# MAN_ROFF_TARGETS is a list of all ROFF-style targets in the man pages.
-MAN_ROFF_TARGETS = man/git-lfs-checkout.1 \
-  man/git-lfs-clean.1 \
-  man/git-lfs-clone.1 \
-  man/git-lfs-config.5 \
-  man/git-lfs-env.1 \
-  man/git-lfs-ext.1 \
-  man/git-lfs-fetch.1 \
-  man/git-lfs-filter-process.1 \
+# go.sum is a lockfile based on the contents of go.mod.
+go.sum : go.mod
+	$(GO) mod verify >/dev/null
+
+# vendor updates the go.sum-file, and installs vendored dependencies into
