## git-lfs 2.6.1

=== debian/changelog ===
git-lfs (2.6.1-3) unstable; urgency=medium

  * Use DH_GOLANG_GO_GENERATE instead of running it separately (Closes:
    #918516)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 07 Jan 2019 21:40:31 -0600

git-lfs (2.6.1-2) unstable; urgency=medium

  * Move go cache from $HOME into build directory (Closes: #918516)
  * Bump standards version to 4.3.0

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 07 Jan 2019 19:30:31 -0600

git-lfs (2.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 03 Dec 2018 22:21:15 -0600

git-lfs (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.2.1
  * Add postinst/prerm to set up/remove git-lfs gitconfig

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 01 Nov 2018 18:29:29 -0500
