=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Stephen Gelman <ssgelm@gmail.com>
+Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                git (>= 1.8.0),
@@ -16,10 +16,10 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-               golang-github-git-lfs-wildmatch-dev (>= 0.0~git20180706.b31c344),
+               golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev,
-Standards-Version: 4.1.5
+               golang-github-git-lfs-gitobj-dev (>= 1.0.0),
+Standards-Version: 4.3.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
