## git-lfs 2.7.1

=== debian/changelog ===
git-lfs (2.7.1-1~bpo9+2) stretch-backports; urgency=medium

  * Use backported dh-golang and disable GO111MODULE and GOCACHE to fix build
    errors

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 11 Mar 2019 01:04:15 -0500

git-lfs (2.7.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 10 Mar 2019 09:16:26 -0500

git-lfs (2.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 26 Feb 2019 23:33:53 -0600

git-lfs (2.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 24 Feb 2019 10:48:52 -0600

git-lfs (2.6.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 08 Dec 2018 02:46:32 -0600

git-lfs (2.6.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 04 Nov 2018 22:58:16 -0600

git-lfs (2.5.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 20 Sep 2018 09:17:55 -0500

git-lfs (2.5.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 12 Aug 2018 12:05:34 -0500

git-lfs (2.4.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 19 Jul 2018 01:17:35 -0500

git-lfs (2.4.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Gelman <ssgelm@gmail.com>  Thu, 07 Jun 2018 18:27:44 -0500

git-lfs (2.4.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports. (Closes: #899048)
  * Update golang-any build-dependency to require go 1.8.

 -- Stephen Gelman <ssgelm@gmail.com>  Sun, 20 May 2018 00:01:11 -0500
