=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper (>= 11),
-               dh-golang,
+               dh-golang (>= 1.34~),
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
-               ronn,
+               ruby-ronn,
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
@@ -19,6 +19,8 @@
                golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
                golang-github-git-lfs-go-netrc-dev,
                golang-github-git-lfs-gitobj-dev (>= 1.0.0),
+               golang-github-mattn-go-isatty-dev,
+               golang-golang-x-sync-dev,
 Standards-Version: 4.3.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
