=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 BUILD_DIR := obj-$(DEB_BUILD_GNU_TYPE)
 export DH_GOLANG_EXCLUDES := test vendor
+export DH_GOLANG_GO_GENERATE := 1
 export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
 export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)
+export GO111MODULE := off
+export GOCACHE := off
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -15,7 +18,6 @@
 	dh_clean
 
 override_dh_auto_build:
-	cd ${BUILD_DIR}/src/github.com/git-lfs/git-lfs && go generate ./commands
 	dh_auto_build
 	rm $(BUILD_DIR)/bin/script
 	rm $(BUILD_DIR)/bin/man
