## git-lfs 2.7.2

=== debian/changelog ===
git-lfs (2.7.2-2) unstable; urgency=medium

  * Reupload as source-only

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 08 Jul 2019 00:39:08 -0500

git-lfs (2.7.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.4.0

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 07 Jul 2019 17:38:47 -0500
