=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.34~),
+               dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
-               ruby-ronn,
+               ronn (>= 0.8.0-2~),
                golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
@@ -21,7 +21,7 @@
                golang-github-git-lfs-gitobj-dev (>= 1.0.0),
                golang-github-mattn-go-isatty-dev,
                golang-golang-x-sync-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
