## git-lfs 2.8.0

=== Makefile ===
--- 
+++ 
@@ -22,24 +22,31 @@
 # the config.GitCommit variable is always set via this variable, and
 # DWARF-stripping is enabled unless DWARF=YesPlease.
 BUILTIN_LD_FLAGS =
+ifneq ("$(VENDOR)","")
+BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.Vendor=$(VENDOR)
+endif
 BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
 ifneq ("$(DWARF)","YesPlease")
 BUILTIN_LD_FLAGS += -s
 BUILTIN_LD_FLAGS += -w
 endif
 # EXTRA_LD_FLAGS are given by the caller, and are passed to the Go linker after
-# BUILTIN_LD_FLAGS are processed.
-EXTRA_LD_FLAGS =
+# BUILTIN_LD_FLAGS are processed. By default the system LDFLAGS are passed.
+ifdef LDFLAGS
+EXTRA_LD_FLAGS ?= -extldflags ${LDFLAGS}
+endif
 # LD_FLAGS is the union of the above two BUILTIN_LD_FLAGS and EXTRA_LD_FLAGS.
 LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)
 
 # BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
-BUILTIN_GC_FLAGS =
+BUILTIN_GC_FLAGS ?= all=-trimpath="$$HOME"
 # EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
 EXTRA_GC_FLAGS =
 # GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
 GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)
 
+ASM_FLAGS ?= all=-trimpath="$$HOME"
+
 # RONN is the name of the 'ronn' program used to generate man pages.
 RONN ?= ronn
 # RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
@@ -48,8 +55,6 @@
 # GREP is the name of the program used for regular expression matching, or
 # 'grep' if unset.
 GREP ?= grep
-# RM is the name of the program used removing files, or 'rm -f' if unset.
-RM ?= rm -f
 # XARGS is the name of the program used to turn stdin into program arguments, or
 # 'xargs' if unset.
 XARGS ?= xargs
@@ -62,6 +67,10 @@
 
 TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
 TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')
+
+# CERT_SHA1 is the SHA-1 hash of the Windows code-signing cert to use.  The
+# actual signature is made with SHA-256.
+CERT_SHA1 ?= 824455beeb23fe270e756ca04ec8e902d19c62aa
 
 # SOURCES is a listing of all .go files in this and child directories, excluding
 # that in vendor.
@@ -133,6 +142,7 @@
 	$(GO) build \
 	-ldflags="$(LD_FLAGS)" \
 	-gcflags="$(GC_FLAGS)" \
+	-asmflags="$(ASM_FLAGS)" \
 	-o ./bin/git-lfs$(3) $(BUILD_MAIN)
 
 # BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
@@ -283,43 +293,23 @@
 bin/releases/git-lfs-$(VERSION).tar.gz :
 	git archive -o $@ --prefix=git-lfs-$(patsubst v%,%,$(VERSION))/ --format tar.gz $(VERSION)
 
-# TEST_TARGETS is a list of all phony test targets. Each one of them corresponds
-# to a specific kind or subset of tests to run.
-TEST_TARGETS := test-bench test-verbose test-race
-.PHONY : $(TEST_TARGETS) test
-$(TEST_TARGETS) : test
-
-# test-bench runs all Go benchmark tests, and nothing more.
-test-bench : GO_TEST_EXTRA_ARGS=-run=__nothing__ -bench=.
-# test-verbose runs all Go tests in verbose mode.
-test-verbose : GO_TEST_EXTRA_ARGS=-v
-# test-race runs all Go tests in race-detection mode.
-test-race : GO_TEST_EXTRA_ARGS=-race
-
-# test runs the Go tests with GO_TEST_EXTRA_ARGS in all specified packages,
-# given by the PKGS variable.
-#
-# For example, a caller can invoke the race-detection tests in just the config
-# package by running:
-#
-# 		make PKGS=config test-race
-#
-# Or in a series of packages, like:
-#
-# 		make PKGS="config lfsapi tools/kv" test-race
-#
-# And so on.
-test : fmt
-	(unset GIT_DIR; unset GIT_WORK_TREE; \
-	$(GO) test $(GO_TEST_EXTRA_ARGS) $(addprefix ./,$(PKGS)))
-
-# integration is a shorthand for running 'make' in the 't' directory.
-.PHONY : integration
-integration : bin/git-lfs$(X)
-	make -C t test
-
-# go.sum is a lockfile based on the contents of go.mod.
-go.sum : go.mod
-	$(GO) mod verify >/dev/null
-
-# vendor updates the go.sum-file, and installs vendored dependencies into
+# release-linux is a target that builds Linux packages. It must be run on a
+# system with Docker that can run Linux containers.
+.PHONY : release-linux
+release-linux:
+	./docker/run_dockers.bsh
+
+# release-windows is a target that builds and signs Windows binaries.  It must
+# be run on a Windows machine under Git Bash.
+#
+# You may sign with a different certificate by specifying CERT_SHA1.
+.PHONY : release-windows
+release-windows: bin/releases/git-lfs-windows-assets-$(VERSION).tar.gz
+
+bin/releases/git-lfs-windows-assets-$(VERSION).tar.gz :
+	$(RM) git-lfs-windows-*.exe
+	@# Using these particular filenames is required for the Inno Setup script to
+	@# work properly.
+	$(MAKE) -B GOARCH=amd64 && cp ./bin/git-lfs.exe ./git-lfs-x64.exe
+	$(MAKE) -B GOARCH=386 && cp ./bin/git-lfs.exe ./git-lfs-x86.exe
+	signtool.exe sign /sha1 $(CERT_SHA1) /fd sha256 /tr http://timestamp.digicert.com /td sha256 /v git-lfs-x64.exe
