=== debian/changelog ===
git-lfs (2.8.0-4) unstable; urgency=medium

  * Reupload as source-only

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 28 Sep 2019 19:12:04 -0500

git-lfs (2.8.0-3) unstable; urgency=medium

  * Update maintainer to use team tracker.debian.org address
  * Backport a fix from upstream that fixes FTBFS under Go 1.12.8
    (Closes: #940485)

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 28 Sep 2019 18:51:52 -0500

git-lfs (2.8.0-2) unstable; urgency=medium

  * Rebuild with go 1.12

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 13 Aug 2019 10:12:00 -0500

git-lfs (2.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update debhelper compat level to 12

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 24 Jul 2019 22:32:34 -0500
