=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
@@ -18,7 +18,7 @@
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
                golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 1.0.0),
+               golang-github-git-lfs-gitobj-dev (>= 1.3.1),
                golang-github-mattn-go-isatty-dev,
                golang-golang-x-sync-dev,
 Standards-Version: 4.4.0
