=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 export DH_GOLANG_GO_GENERATE := 1
 export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
 export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)
-export GO111MODULE := off
-export GOCACHE := off
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -31,5 +29,8 @@
 	rm -rf man/*.ronn
 	rm -rf man/*.txt
 
+override_dh_dwz:
+	# dwz doesn't currently work on go binaries
+
 override_dh_auto_install:
 	dh_auto_install -- --no-source
