## git-lfs 2.9.0

=== debian/changelog ===
git-lfs (2.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.4.1

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 22 Oct 2019 00:35:35 -0500
