## git-lfs 2.9.1

=== debian/changelog ===
git-lfs (2.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Nov 2019 20:42:32 -0600
