## git-lfs 2.9.2

=== debian/changelog ===
git-lfs (2.9.2-1ubuntu0.1~esm2) focal-security; urgency=medium

  * SECURITY UPDATE: Information leakage
    - debian/patches/CVE-2024-53263-1.patch: creds/creds.go: reject LF
      bytes in credential data
    - debian/patches/CVE-2024-53263-2.patch: creds/creds.go: reject CR
      bytes in credential data
    - CVE-2024-53263

 -- John Breton <john.breton@canonical.com>  Thu, 22 Jan 2026 14:34:55 -0500

git-lfs (2.9.2-1ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Information leakage
    - debian/patches/CVE-2024-53263-1.patch: creds/creds.go: reject LF
      bytes in credential data
    - debian/patches/CVE-2024-53263-2.patch: creds/creds.go: reject CR
      bytes in credential data
    - CVE-2024-53263

 -- John Breton <john.breton@canonical.com>  Thu, 22 Jan 2026 12:40:38 -0500

git-lfs (2.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 14 Dec 2019 12:09:44 -0600
