=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
                ronn (>= 0.8.0-2~),
-               golang-github-kr-pty-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
@@ -16,12 +16,13 @@
                golang-github-olekukonko-ts-dev,
                golang-github-thomsonreuterseikon-go-ntlm-dev,
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
-               golang-github-git-lfs-wildmatch-dev (>= 1.0.0),
+               golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 1.3.1),
+               golang-github-git-lfs-gitobj-dev (>= 1.4.1~),
                golang-github-mattn-go-isatty-dev,
+               golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
