## git-lfs 2.10.0

=== debian/changelog ===
git-lfs (2.10.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.0

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 21 Jan 2020 17:00:15 -0600
